Skip to main content
PATCH
/
v3
/
evaluators
/
{evaluator_id}
Update Evaluator
curl --request PATCH \
  --url https://api.example.com/v3/evaluators/{evaluator_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enrichment_config": {
    "entities": [
      "<string>"
    ],
    "allow_list": [
      "<string>"
    ]
  }
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "enrichment_display_name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "enrichment_config": {
      "entities": [
        "<string>"
      ],
      "allow_list": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

evaluator_id
string<uuid>
required

Unique identifier of the evaluator to update

Body

application/json

Request body for updating an evaluator. At least one field must be provided; only provided fields will be updated. The evaluator's enrichment_name cannot be changed.

name
string

New name for the evaluator

Required string length: 1 - 256
enrichment_config
object

Updated enrichment configuration. Must match the evaluator's enrichment type.

Response

Details of the updated evaluator (new version)

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Details of the evaluator